org.apache.http.impl.client

## Class DefaultHttpRequestRetryHandler

- java.lang.Object
- - org.apache.http.impl.client.DefaultHttpRequestRetryHandler

- All Implemented Interfaces:
    HttpRequestRetryHandler
  已知直接子类：
    StandardHttpRequestRetryHandler

      @Contract(threading=IMMUTABLE)
      public class DefaultHttpRequestRetryHandler
      extends Object
      implements HttpRequestRetryHandler

  请求执行者使用的默认`HttpRequestRetryHandler` 。
  从以下版本开始：
    4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultHttpRequestRetryHandler` | `INSTANCE`

  - ### 构造方法摘要

    构造方法
    Modifier | Constructor and Description
    --- | ---
    `` | `DefaultHttpRequestRetryHandler()` 创建请求重试处理程序，重试次数为3，requestSentRetryEnabled为false，并使用以下不可重复的IOException类列表： InterruptedIOException UnknownHostException ConnectException SSLException
    `` | `DefaultHttpRequestRetryHandler(int retryCount, boolean requestSentRetryEnabled)` 使用以下不可重复的IOException类列表创建请求重试处理程序： InterruptedIOException UnknownHostException ConnectException SSLException
    `protected` | `DefaultHttpRequestRetryHandler(int retryCount, boolean requestSentRetryEnabled, Collection<Class<? extends IOException>> clazzes)` 使用指定的IOException类创建请求重试处理程序

  - ### 方法摘要

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getRetryCount()`
    `protected boolean` | `handleAsIdempotent(HttpRequest request)`
    `boolean` | `isRequestSentRetryEnabled()`
    `protected boolean` | `requestIsAborted(HttpRequest request)` 已过时。 （4.3）
    `boolean` | `retryRequest(IOException exception, int executionCount, HttpContext context)` 使用 `retryCount`和 `requestSentRetryEnabled`来确定是否应该重试给定的方法。

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### 字段详细信息

    - #### INSTANCE

          public static final DefaultHttpRequestRetryHandler INSTANCE

  - ### 构造方法详细信息

    - #### DefaultHttpRequestRetryHandler

          protected DefaultHttpRequestRetryHandler(int retryCount,
                                        boolean requestSentRetryEnabled,
                                        Collection<Class<? extends IOException>> clazzes)

      使用指定的IOException类创建请求重试处理程序
      参数
        `retryCount` - 多次重试; 0表示不重试
        `requestSentRetryEnabled` - 如果可以重试已发送的请求， `requestSentRetryEnabled` true
        `clazzes` - 不应重试的IOException类型
      从以下版本开始：
        4.3

    - #### DefaultHttpRequestRetryHandler

          public DefaultHttpRequestRetryHandler(int retryCount,
                                        boolean requestSentRetryEnabled)

      使用以下不可重复的IOException类列表创建请求重试处理程序：
      - InterruptedIOException
      - 的UnknownHostException
      - 的ConnectException
      - 异常SSLException
      参数
        `retryCount` - 多次重试; 0表示不重试
        `requestSentRetryEnabled` - 如果可以重试已发送的非幂等请求， `requestSentRetryEnabled` true

    - #### DefaultHttpRequestRetryHandler

          public DefaultHttpRequestRetryHandler()

      创建请求重试处理程序，重试次数为3，requestSentRetryEnabled为false，并使用以下不可重复的IOException类列表：
      - InterruptedIOException
      - 的UnknownHostException
      - 的ConnectException
      - 异常SSLException

  - ### 方法详细信息

    - #### retryRequest

          public boolean retryRequest(IOException exception,
                             int executionCount,
                             HttpContext context)

      使用 `retryCount`和 `requestSentRetryEnabled`来确定是否应重试给定的方法。
      Specified by:
        `retryRequest`在接口 `HttpRequestRetryHandler`
      参数
        `exception` - 发生的异常
        `executionCount` - 此方法未成功执行的次数
        `context` - 请求执行的上下文
      结果
        `true`如果该方法应该重试，否则 `false`

    - #### isRequestSentRetryEnabled

          public boolean isRequestSentRetryEnabled()

      结果
        `true`如果此处理程序将重试已成功发送请求的方法， `false`否则

    - #### getRetryCount

          public int getRetryCount()

      结果
        将重试方法的最大次数

    - #### handleAsIdempotent

          protected boolean handleAsIdempotent(HttpRequest request)

      从以下版本开始：
        4.2

    - #### requestIsAborted

          @Deprecated
          protected boolean requestIsAborted(HttpRequest request)

      已过时。 （4.3）
      从以下版本开始：
        4.2

Copyright © 1999–2017 The Apache Software Foundation. All rights reserved.

本帮助文档是使用 《谷歌翻译》翻译，请与英文版配合使用 by--QQ:654638585